Method: projects.locations.instances.updateMetadataItems

인스턴스의 메타데이터 항목을 추가/업데이트합니다.

HTTP 요청

PATCH https://notebooks.googleapis.com/v1/{name}:updateMetadataItems

경로 매개변수

매개변수
name

string

필수 항목. 형식: projects/{projectId}/locations/{location}/instances/{instanceId}

승인을 처리하려면 지정된 리소스 name에 대해 다음과 같은 IAM 권한이 필요합니다.

  • notebooks.instances.updateConfig

요청 본문

요청 본문에는 다음과 같은 구조의 데이터가 포함됩니다.

JSON 표현
{
  "items": {
    string: string,
    ...
  }
}
필드
items

map (key: string, value: string)

인스턴스에 추가/업데이트할 메타데이터 항목입니다.

"key": value 쌍 목록을 포함하는 객체입니다. 예를 들면 { "name": "wrench", "mass": "1.3kg", "count": "3" }입니다.

응답 본문

인스턴스의 메타데이터 항목 추가/변경에 대한 응답입니다.

성공한 경우 응답 본문은 다음과 같은 구조의 데이터를 포함합니다.

JSON 표현
{
  "items": {
    string: string,
    ...
  }
}
필드
items

map (key: string, value: string)

메타데이터에 추가/업데이트된 항목의 맵입니다.

"key": value 쌍 목록을 포함하는 객체입니다. 예: { "name": "wrench", "mass": "1.3kg", "count": "3" }

승인 범위

다음 OAuth 범위 중 하나가 필요합니다.

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

자세한 내용은 Authentication Overview를 참조하세요.